# For the eval-code-viewer app only

FROM node:18.16.0-alpine as base

WORKDIR /app
COPY eval-code-viewer/package.json eval-code-viewer/yarn.lock ./
COPY eval-code-viewer .
COPY eval-code-completion /eval-code-completion
COPY results /results
RUN yarn install --frozen-lockfile

FROM base as deployment

ARG DB_HOST
ARG DB_PORT
ARG DB_NAME
ARG DB_USER
ARG DB_PASSWORD
ARG PROMPT_VERSION
ARG GOOGLE_APPLICATION_CREDENTIALS
ARG MODEL_EV_USERNAME
ARG MODEL_EV_HASHED_PASSWORD
ARG MODEL_EV_SALT

WORKDIR /app
EXPOSE 8080

ENV DB_INSTANCE_CONNECTION_NAME=$DB_INSTANCE_CONNECTION_NAME
ENV DB_HOST=$DB_HOST
ENV DB_PORT=$DB_PORT
ENV DB_NAME=$DB_NAME
ENV DB_USER=$DB_USER
ENV DB_PASSWORD=$DB_PASSWORD
ENV GOOGLE_APPLICATION_CREDENTIALS=$GOOGLE_APPLICATION_CREDENTIALS
ENV PROMPT_VERSION=$PROMPT_VERSION
ENV MODEL_EV_USERNAME=$MODEL_EV_USERNAME
ENV MODEL_EV_HASHED_PASSWORD=$MODEL_EV_HASHED_PASSWORD
ENV MODEL_EV_SALT=$MODEL_EV_SALT


ENV NODE_ENV=production
ENV HOST=0.0.0.0
ENV PORT=8080

RUN yarn build
RUN yarn install

CMD ./scripts/start.sh
